"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
function leader(msg, opts) {
    opts = Object.assign({
        chevron: "*",
        log: console.log,
        leadingLines: 2,
        trailingLines: 1
    }, opts);
    let arr = [];
    if (opts.leadingLines < 0) {
        opts.leadingLines = 0;
    }
    if (opts.trailingLines < 0) {
        opts.trailingLines = 0;
    }
    _.times(Math.round(opts.leadingLines), () => {
        arr.push("");
    });
    const lines = msg.split(/\r\n|\r|\n/);
    let length = 0;
    for (const line of lines) {
        if (line.length > length)
            length = line.length;
    }
    arr.push(opts.chevron.repeat(length));
    arr = arr.concat(lines);
    arr.push(opts.chevron.repeat(length));
    _.times(Math.round(opts.trailingLines), () => {
        arr.push("");
    });
    if (opts.log) {
        arr.forEach((line) => {
            opts.log(line);
        });
    }
    return arr;
}
exports.leader = leader;
exports.default = leader;
//# sourceMappingURL=index.js.map